Package Details: mps-youtube-git 0.2.8.r128.ge083bfa-1

Git Clone URL: https://aur.archlinux.org/mps-youtube-git.git (read-only, click to copy)
Package Base: mps-youtube-git
Description: Terminal based YouTube jukebox with playlist management - git develop release
Upstream URL: https://github.com/mps-youtube/mps-youtube
Keywords: media music youtube
Licenses: GPL3
Conflicts: mps-youtube
Provides: mps-youtube
Submitter: demize
Maintainer: diddypod
Last Packager: diddypod
Votes: 30
Popularity: 1.28
First Submitted: 2014-02-18 20:11
Last Updated: 2019-11-17 06:08

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

demize commented on 2015-01-04 13:01

PR was merged 4 hours before I woke up it seems.

Anonymous comment on 2015-01-04 04:39

Hi,

There is a bug with mpv 0.7.2, with which you are not able to quit a playing video with q, the video will think that it has failed and will try to retry playing the same video, unless you close mpsyt using Ctrl-C.

The following pull request has fixed this issue, can you integrate this within the pkgbuild itself?

https://github.com/np1/mps-youtube/pull/161

demize commented on 2014-11-29 12:39

Hey, thanks for the pointer, I always have it installed so don’t notice it when I test the package, d’oh. And yeah, python-pafy-git should provide python-pafy, but it didn’t due to historical reasons and have added it now. (Replaces isn’t appropriate here, they’re for when for example a package has been renamed then the new package will be installed automatically if both are in a repo.)

msx commented on 2014-11-19 03:17

Hello Kyrias, please check:
1) python-setuptools is a hard dependency, if you remove it after compiling the app mpsyt won't launch.
2) Since ATM python-pafy-git seems to be fully compatible with aur/python-pafy you can set it to replace the latter package at build/install time, this way installation of mps-youtube-git won't break when you install it if mps-youtube is already installed.

Other than that, thank you very much for these build-scripts!

foutrelis commented on 2014-02-18 21:08

Renamed to mps-youtube-git: https://aur.archlinux.org/packages/mps-youtube-git/

cirrus commented on 2014-02-09 22:34

Thanks for this.

Ambrevar commented on 2014-02-08 23:48

Good job, thanks!

demize commented on 2014-02-08 15:07

mplayer and mpv set as optionals since pms-youtube now if there isn't a config file checks whether mpv exists, and if not it uses mplayer.

demize commented on 2014-02-08 14:29

Actually, it seems that it checks for mpv if no config file exists now, will update it in a sec.

demize commented on 2014-02-08 14:09

By default it requires mplayer tho and won't use mpv until mpv is set in the users config, and since there's no global config file…

For now either:
1) Just remove the depend yourself, it's not exactly hard to remove a single word, or
2) Make a patch so that mpv is the default player.